/* Malaro Fastighets AB */

/* Animationer */
@import url('/resources/scripts/aos/2.3.1/aos.css');

/* ==========================================================================
Generellt 
========================================================================== */
:root {
    /* 	Colors */
    --primary-color: 206, 168, 90;

    --black-color: 1, 1, 1;
    --gray-dark-color: 57, 57, 57;
    --gray-color: 187, 187, 187;
    --gray-light-color: 244, 244, 244;
    --white-color: 255, 255, 255;

    /* 	Layout  */
    --section-width: 140rem;
    --col-padding: 3rem;
    --menu-height: 8rem;
    --menu-height-scrolled: 8rem;

    /* 	Typography */
    --base-size: 1.7rem;

    /* 	Mobile nav */
    --activate-mobile-menu: 1000;
    --mobile-menu-height: 6rem;
    --mobile-menu-bg: var(--white-color);
    --menu-color: var(--black-color);
}

/* Layout
========================================================================== */
.section-block {
    padding: 13rem 5rem;
}

/* Paddings */
.p-1 .section-block,
.p-1:not(.section-wrapper) {
    padding: 1rem;
}

.p-2 .section-block,
.p-2:not(.section-wrapper) {
    padding: 2rem;
}

.p-5 .section-block,
.p-5:not(.section-wrapper) {
    padding: 5rem;
}

.pt-2 .section-block,
.pt-2:not(.section-wrapper) {
    padding-top: 2rem;
}

.pl-0 .section-block,
.pl-0:not(.section-wrapper) {
    padding-left: 0;
}

.pr-0 .section-block,
.pr-0:not(.section-wrapper) {
    padding-right: 0;
}

.pb-0 .section-block,
.pb-0:not(.section-wrapper) {
    padding-bottom: 0;
}

/* Margins */
.mt-1 {
    margin-top: 1rem;
}

.mt-2 {
    margin-top: 2rem;
}

.mb-3 {
    margin-bottom: 3rem;
}

/* Bredder */
.mw-none .section-block-wrapper {
    max-width: none;
}

/* Ovriga klasser */
.of-hidden {
    overflow: hidden;
}

.justify-center {
    justify-content: center;
}

@media only screen and (max-width: 1024px) {
    .section-block {
        padding: 8rem 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-block {
        padding: 5rem 2rem;
    }
}

/* Text och typsnitt
========================================================================== */
body {
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
}

/* Rubriker */
.text-label {
    padding-bottom: .4em;
    font-size: 1.5rem;
    font-weight: 600;
    color: rgb(var(--gray-dark-color));
    color: rgb(var(--primary-color));
    font-family: "Oswald", sans-serif;
    text-transform: uppercase;
}

.section-title {
    padding-bottom: .3em;
    font-size: 4.3rem;
    font-weight: 500;
    line-height: 1.2;
    color: rgb(var(--black-color));
    font-family: "Oswald", sans-serif;
}

.small-title {
    padding-bottom: .3em;
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1.4;
    color: rgb(var(--black-color));
    font-family: "Oswald", sans-serif;
}

.text-title {
    font-size: 1.8rem;
    font-weight: 600;
    color: rgb(var(--black-color));
}

/* Brodtext och lankar */
p,
li {
    color: rgb(var(--gray-dark-color));
}

.text-small {
    font-size: 1.5rem;
}

/* List-arrow */
.list-arrow {
    padding: 0;
    list-style: none;
}

.list-arrow li::before {
    content: '\f061';
    padding: 0 1rem 0 0;
    color: rgb(var(--primary-color));
    font-weight: 700;
    font-size: 1.2rem;
    font-family: 'Font Awesome 5 Pro';
}

/* Ovriga klasser */
.text-block {
    max-width: 70rem;
}

.text-block-center {
    max-width: 71rem;
    margin-left: auto;
    margin-right: auto;
}

.text-bold {
    font-weight: 700;
}

.text-center {
    text-align: center;
}

@media only screen and (max-width: 1200px) {

    /* Rubriker */
    .section-title {
        font-size: 3.8rem;
    }

    .small-title {
        font-size: 2.2rem;
    }
}

@media only screen and (max-width: 580px) {

    /* Rubriker */
    .text-label {
        font-size: 1.4rem;
    }

    .section-title {
        font-size: 3rem;
    }

    .small-title {
        font-size: 2rem;
    }
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
    margin-top: 2rem;
}

.btn-wrapper.center {
    text-align: center;
}

/* Knappar */
.btn,
.ContactSubmit {
    min-width: 15rem;
    padding: 1.4rem 2rem;
    margin: 5px;
    font-size: 1.4rem;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    transition: all .4s ease;
}

.btn-black-filled,
.ContactSubmit {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--black-color));
    background-color: rgb(var(--black-color));
}

.btn-black-filled:hover,
.ContactSubmit:hover {
    border: 1px solid rgb(var(--black-color));
    background-color: transparent;
    color: rgb(var(--black-color));
}

.btn-white-border {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--white-color));
    background-color: transparent;
}

.btn-white-border:hover {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--primary-color));
    background-color: rgb(var(--primary-color));
}

/* Arrow link */
.arrow-link {
    padding-right: 1rem;
    font-size: 1.5rem;
    font-weight: 500;
    text-decoration: none;
}

.arrow-link::after {
    content: ' \f105';
    display: inline-block;
    margin-left: 1rem;
    font-weight: 400;
    font-family: 'Font Awesome 5 Pro';
    color: rgb(var(--primary-color));
    transition: transform .4s ease;
}

.arrow-link:hover::after {
    transform: translateX(1rem);
    transition: transform .4s ease;
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-primary {
    background-color: rgb(var(--primary-color));
}

.bg-black {
    background-color: rgb(var(--black-color));
}

.bg-white {
    background-color: rgb(var(--white-color));
}

.bg-gray-light {
    background-color: rgb(var(--gray-light-color));
}

/* Text */
.text-primary {
    color: rgb(var(--primary-color));
}

.text-black {
    color: rgb(var(--black-color));
}

.text-white {
    color: rgb(var(--white-color));
}

/* Grafiska element
========================================================================== */
/* Border */
.border-gray {
    border: 1px solid rgb(var(--gray-color));
}

.border-white {
    border: 1px solid rgb(var(--white-color));
}

/* Badge */
.badge {
    position: absolute;
    right: 5px;
    bottom: 5px;
    padding: .3rem .8rem .1rem;
    font-size: 1.2rem;
    font-weight: 600;
    border-radius: 3px;
    color: rgb(var(--black-color));
    background-color: rgb(var(--primary-color));
    transition: .3s ease;
}

/* Bakgrundsbilder och videos
========================================================================== */
.bg-image,
.bg-video {
    position: relative;
    background-color: transparent;
}

.bg-image-wrapper,
.bg-video-wrapper {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Video */
.bg-video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Crossfade */
.fade-slider {
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.fade-slider div {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.fade-slider.slick-slider {
    position: absolute;
}

/* Cards
========================================================================== */
.cards-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.cards-wrapper:not(.w-100) {
    margin-left: -1rem;
    margin-right: -1rem;
}

a.card-item {
    text-decoration: none;
}

/* Bredder */
.cards-wrapper.w-33 .card-item {
    width: calc((100% / 3) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-50 .card-item {
    width: calc((100% / 2) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-100 .card-item {
    width: 100%;
    margin: 1rem 0;
}

@media only screen and (max-width: 1050px) {

    /* Bredder */
    .cards-wrapper.w-33 .card-item {
        width: calc((100% / 2) - 2rem);
    }
}

@media only screen and (max-width: 750px) {
    .cards-wrapper:not(.w-100) {
        margin-left: 0;
        margin-right: 0;
    }

    /* Bredder */
    .cards-wrapper.w-33 .card-item,
    .cards-wrapper.w-50 .card-item {
        width: 100%;
        margin: 1rem 0;
    }

    /* Paddings */
    .cards-wrapper .p-5 {
        padding: 2rem;
    }
}

/* Card 2-2 */
.card-2-2 .card-item,
.card-2-2 .icon-wrapper {
    transition: .3s ease;
}

.card-2-2 a.card-item.bg-gray-light:hover {
    background-color: rgb(var(--white-color));
}

.card-2-2 a.card-item.bg-gray-light:hover .icon-wrapper {
    background-color: rgb(var(--black-color));
}

.card-2-2 .card-header {
    display: flex;
    align-items: center;
}

.card-2-2 .icon-wrapper {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    width: 5rem;
    height: 5rem;
    margin: 0 2rem 0 0;
}

.card-2-2 .icon-wrapper i {
    font-size: 2.5rem;
}

.card-2-2 .card-header p {
    line-height: 1.4;
}

.card-2-2 .card-body,
.card-2-2 .card-footer {
    padding-top: 2rem;
}

/* Card 3-1 */
.card-3-1 .image-wrapper {
    width: 100%;
}

.card-3-1 a.image-wrapper:hover .badge,
.card-3-1 a.video-wrapper:hover .badge {
    color: rgb(var(--white-color));
    background-color: rgb(var(--black-color));
}

/* Card 3-4 */
.card-3-4 .card-item {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.card-3-4 .image-wrapper {
    width: 15rem;
    height: 100%;
}

.card-3-4 .card-body {
    flex: 1 1 0px;
}

.card-3-4 .contact-item a {
    text-decoration: none;
}

@media only screen and (max-width: 1400px) {
    .cards-wrapper.card-3-4 .card-item {
        width: calc((100% / 2) - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 900px) {
    .card-3-4 .card-item {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        padding: 1rem;
    }
}

@media only screen and (max-width: 580px) {
    .cards-wrapper.card-3-4 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

/* Split wrapper
========================================================================== */
.split-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.split-wrapper.reverse {
    flex-direction: row-reverse;
}

.split-content {
    width: 50%;
    padding: 5rem;
}

.split-image {
    width: 50%;
}

/* Centrera content */
.split-wrapper .align-center {
    align-self: center;
}

/* Bredder */
.split-wrapper .w-60 {
    width: 60%;
}

.split-wrapper .w-40 {
    width: 40%;
}

@media screen and (max-width: 1300px) {
    .split-content {
        padding: 3rem;
    }
}

@media screen and (max-width: 1000px) {
    .split-wrapper {
        background: transparent;
    }

    .split-content {
        width: 100%;
        padding: 0 0 3rem;
        background: transparent;
    }

    .split-image {
        width: 100%;
    }
}

/* Header / Navigation
========================================================================== */
header {
    border-bottom: 1px solid rgb(var(--gray-light-color));
}

header:not(.scrolled) {
    border-color: transparent;
    background-color: transparent;
}

/* Logo */
.header-logo {
    flex: 1 1 0;
}

header:not(.scrolled, .active-menu) .header-logo {
    filter: invert()
}

.header-logo img {
    padding: 1.5rem 0;
}

/* Nav */
.TemplateMenu a {
    font-size: 1.5rem;
    font-weight: 600;
    color: rgb(var(--black-color));
}

header:not(.scrolled, .mobile-menu) .TemplateMenu>li:not(.active)>a:not(:hover) {
    color: rgb(var(--white-color));
}

/* Dropdown */
header:not(.mobile-menu) .TemplateMenu ul {
    width: 24rem;
}

/* Mobilmeny */
.mobile-menu:not(.scrolled, .active-menu) {
    --menu-color: var(--white-color);
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
    display: flex;
    align-items: center;
    min-height: 100vh;
    margin-top: calc(var(--menu-height) * -1);
    background-color: rgb(var(--black-color), .5);
}

.top-section .section-block {
    width: 100%;
}

.top-section .section-title {
    font-size: 6rem;
}

@media only screen and (max-width: 1250px) {
    .top-section .section-title {
        font-size: 4.5rem;
    }
}

@media only screen and (max-width: 580px) {
    .top-section .section-title {
        font-size: 3rem;
    }
}

/* Bildspel
========================================================================== */
/* Slider */
.scroll-wrapper.cards-wrapper {
    margin-bottom: 5rem;
}

.scroll-wrapper.cards-wrapper .slick-list {
    width: 100%;
    overflow: visible;
}

.scroll-wrapper.cards-wrapper .slick-track {
    display: flex;
}

.scroll-wrapper.cards-wrapper .card-item {
    display: flex;
    height: auto;
    margin: 0 1rem;
    transition: all .3s ease;
}

.scroll-wrapper.cards-wrapper .card-item[aria-hidden="true"] {
    opacity: .5;
    transform: scale(.9);
}

/* Card item */
.scroll-wrapper .card-item {
    display: flex;
    flex-direction: column;
    margin: 0 2rem 0 0;
}

/* Slick Arrow */
.scroll-wrapper .slick-arrow {
    position: absolute;
    top: auto;
    bottom: -4rem;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    background-color: rgb(var(--black-color));
}

.scroll-wrapper .slick-arrow::after {
    font-weight: 300;
    color: rgb(var(--white-color));
}

.scroll-wrapper .slick-next {
    right: 2rem;
}

.scroll-wrapper .slick-prev {
    left: auto;
    right: 6rem;
}

@media only screen and (max-width: 750px) {
    .scroll-wrapper.cards-wrapper .card-item {
        margin: 0;
    }
}

/* CTA
========================================================================== */
.section-cta .section-block {
    padding-top: 8rem;
    padding-bottom: 8rem;
    background-color: rgb(var(--gray-light-color));
}

.cta-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cta-wrapper .text-block {
    max-width: 65rem;
}

.cta-wrapper .btn-wrapper {
    margin-top: 0;
}

@media only screen and (max-width: 1000px) {
    .cta-wrapper {
        flex-wrap: wrap;
    }

    .cta-wrapper .btn-wrapper {
        margin-top: 2rem;
    }
}

/* ==========================================================================
Undersidor
========================================================================== */

/* Hero - Grundkod
========================================================================== */
.hero {
    display: flex;
    align-items: center;
    min-height: 45rem;
    padding-top: var(--menu-height);
    margin-top: calc(var(--menu-height) * -1);
    background-color: rgb(var(--black-color), .4);
}

.hero .section-block {
    width: 100%;
}

.hero .section-title {
    font-size: 6rem;
}

@media only screen and (max-width: 580px) {
    .hero {
        min-height: 30rem;
    }

    .hero .section-title {
        font-size: 3rem;
    }
}

/* ==========================================================================
Undersida: Vara tjanster
========================================================================== */
.section-service .split-content {
    width: calc(100% - 60rem);
}

.section-service .small-title {
    font-size: 2.1rem;
}

.section-service .list-arrow li {
    font-size: 1.6rem;
}

/* Bild */
.section-service .split-image {
    width: 60rem;
}

.contact {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}

.contact p {
    display: inline-block;
    padding: 1rem 1.5rem;
    font-size: 1.4rem;
    text-align: center;
    background-color: rgb(var(--white-color));
}

.contact a {
    display: inline;
    text-decoration: none;
    color: rgb(var(--black-color));
    transition: .3s ease;
}

.contact a:hover {
    color: rgb(var(--primary-color));
}

@media only screen and (max-width: 1450px) {
    .section-service .split-content {
        width: calc(100% - 45rem);
    }

    .section-service .split-image {
        width: 45rem;
    }
}

@media only screen and (max-width: 1000px) {
    .section-service .split-content {
        width: 100%;
    }

    .section-service .split-image {
        width: 100%;
    }
}

/* ==========================================================================
Undersida: Vara projekt
========================================================================== */
/* Taggar */
.tags-heading {
    display: none;
}

.tags-list {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 2rem;
}

.tag {
    padding: .3rem 1.5rem;
    margin: .6rem .5rem;
    font-size: 1.4rem;
    font-weight: 600;
    color: rgb(var(--black-color));
    border: 1px solid rgb(var(--primary-color));
    cursor: pointer;
    transition: .5s ease;
}

.tag:hover,
.tag.tag-picked {
    color: rgb(var(--white-color));
    background: rgb(var(--primary-color));
}

.video-wrapper {
    position: relative;
}

/* Play */
.play-overlay {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 85%;
    pointer-events: none;
    transition: .4s ease;
}

.video-wrapper:hover .play-overlay {
    opacity: 1;
    visibility: visible;
}

.play-overlay em {
    color: rgb(var(--primary-color));
    font-size: 6rem;
    transition: .4s ease;
}

.video-wrapper:hover .play-overlay em {
    font-size: 4rem;
}

.video-wrapper:hover .play-overlay em {
    font-size: 7rem;
}

@media only screen and (max-width:950px) {

    /* Play */
    .play-overlay {
        height: 80%;
    }

    .play-overlay em {
        font-size: 5rem;
    }

    .video-wrapper:hover .play-overlay em {
        font-size: 6rem;
    }
}

@media only screen and (max-width:580px) {

    /* Taggar */
    .tags-wrapper {
        position: relative;
        max-width: 25rem;
        background: rgb(var(--primary-color));
        cursor: pointer;
        z-index: 1;
    }

    .tags-heading {
        display: block;
        width: 100%;
        padding: 1rem 2rem;
    }

    .tags-heading p {
        display: flex;
        justify-content: space-between;
        padding-bottom: 0;
        color: rgb(var(--white-color));
    }

    .tags-heading i {
        margin-left: 2rem;
    }

    .tags-list {
        display: none;
        z-index: 1;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        text-align: left;
        background: rgb(var(--white-color));
        box-shadow: 1px 1px 10px rgba(var(--black-color), .1);
    }

    .tags-wrapper.opened .tags-list {
        display: block;
    }

    .tags-wrapper .tag {
        display: block;
        padding: 1rem 2rem;
        margin: 0;
        letter-spacing: normal;
        text-transform: initial;
        box-shadow: none;
        border-radius: 0;
    }

    /* Play */
    .play-overlay {
        height: 75%;
    }

    .play-overlay em {
        font-size: 4rem;
    }

    .video-wrapper:hover .play-overlay em {
        font-size: 5rem;
    }

    /* Kort */
    .projects-wrapper .card-body {
        padding: 1rem;
    }

    .projects-wrapper .card-body p {
        padding: 0;
    }
}

/* ==========================================================================
Undersida: Kontakt
========================================================================== */
.section-contact .section-block-wrapper {
    justify-content: space-between;
}

/* Kolumn 2 */
.section-contact .col-1 {
    max-width: 60rem;
    padding: 0;
    background: rgb(var(--gray-light-color));
    border: 1px solid rgb(var(--gray-color));
    overflow: hidden;
}

.ContactForm {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 3rem;
}

.ContactForm>div {
    width: 49%;
}

.ContactForm .ContactFormName,
.ContactForm .submit-button-container,
.ContactForm .w-100 {
    width: 100%;
}

@media only screen and (max-width: 600px) {
    .section-contact .col-1 {
        margin-top: 3rem;
    }

    .ContactForm {
        padding: 2rem;
    }

    .ContactForm div {
        width: 100%;
    }
}

/* ==========================================================================
Footer
========================================================================== */
.footer {
    padding: 0 5rem;
}

.footer .container {
    max-width: none;
}

/* Footer top */
.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10rem 0 0;
}

.footer-menu {
    width: 23rem;
    margin: 0 0 3rem;
}

.footer-menu-large {
    width: 38rem;
}

.footer .text-label {
    padding: 0 0 1rem;
    line-height: 1;
    color: rgb(var(--black-color))
}

.footer-submenu {
    padding: 0;
    margin: 0 0 3rem;
    list-style: none;
}

.footer-top li,
.footer-top p,
.footer-top a {
    text-decoration: none;
    transition: .3s ease;
}

.footer a:hover {
    color: rgb(var(--primary-color));
    text-decoration: none;
}

.footer .arrow-link {
    font-weight: 400;
    font-size: var(--base-size);
}

/* Footer middle */
.footer-middle {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

/* Footer logos */
.footer .logos {
    display: flex;
    flex-wrap: wrap;
}

.footer .logos .logo-item {
    margin: 1rem;
    height: 5rem;
}

.footer .logos .logo-item img {
    height: 100%;
}

/* Social Menu */
.social-menu {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0;
}

.social-menu li {
    margin: 1rem 1rem 1rem 0;
}

.social-menu a {
    font-size: 1.4rem;
    color: rgb(var(--black-color));
    padding: 5px 10px;
    border-radius: 2rem;
    line-height: 1;
    text-decoration: none;
    transition: all .3s ease;
}

.social-menu a:hover {
    color: rgb(var(--white-color));
    background-color: rgb(var(--black-color));
    transition: all .3s ease;
}

/* Footer bottom */
.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
    border-top: 1px solid rgb(var(--gray-dark-color));
}

.footer-bottom p,
.footer-bottom a {
    font-size: 1.4rem;
    line-height: 1.6;
    color: rgb(var(--black-color));
}

/* WebbEss Stamp  */
.footer .webbess-stamp {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.webbess-stamp img {
    opacity: .6;
    margin-left: 1rem;
    width: 2.5rem;
}

@media only screen and (max-width: 1200px) {
    .footer {
        padding: 0 3rem;
    }

    /* Footer top */
    .footer-menu {
        width: 48%;
    }

    .footer-menu-large {
        width: 100%;
    }

    .footer-menu-large p {
        max-width: 55rem;
    }
}

@media only screen and (max-width: 750px) {

    /* Footer top */
    .footer-menu,
    .footer-menu-large {
        width: 100%;
    }

    /* Footer middle */
    .footer-middle {
        flex-direction: column-reverse;
        align-items: flex-start;
    }
}

@media only screen and (max-width: 580px) {
    .footer {
        padding: 0 2rem;
    }

    /* Footer top */
    .footer-top {
        padding: 5rem 0 0;
    }

    /* Footer bottom */
    .footer-bottom {
        flex-direction: column-reverse;
    }

    /* WebbEss Stamp */
    .webbess-stamp {
        margin: 0 auto 2rem;
    }
}